Description

/lastlog <nick> parses the current channel and returns a list of the last comments by that nick in that channel.

Related issues:
Related to Quassel IRC - Feature #420: please add filter function to search bar New

History

#1 - 10/31/2008 04:31 PM - EgS

Use the searchbar to search for messages from that user.

#2 - 10/31/2008 04:48 PM - EgS

<jussi01> EgS: ... i(

<jussi01> EgS: you missed the point of that.

<jussi01> EgS: the idea is you can see a trend if the user is good bad etc by having all the messages together.

<jussi01> so it takes all the messages from that user recently and dumps them in the status window

<EgS> jussi01: hmm.... /me doesn't like it

<jussi01> EQS: as an op its really useful.. but yeah.

<EgS> don't you think you can get a fast overview when you enter that user, uncheck "search messages" and check "search nicks"? you can really
fast view all his messages by klicking arrow up

--> reopening.
2 solutions come to my mind:

1.) add an option to the searchbar to filter out all messages that don't fit the search parameters
2.) add an option to the searchbar to show the results in a separate ChatView also having messages filtered out that don't match.

#3 - 11/23/2008 06:31 AM - jussiO1

I would love to see option 1 (as | said in channel). Also, others obviously want this -see bug 420.

#4 - 12/28/2008 01:38 AM - Sputnick
- Target version deleted (0.3.1)

#5 - 08/04/2010 10:18 PM - Anonymous
- OS set to Any

Isn't searching for the user's nick useless if any activity by them isn't in the currently loaded backlog? Scrolling back (it could be days worth of
materials) is a big process depending on scrollback settings/channel activity
